import redis
import os
from dotenv import load_dotenv

# dotenv_path = ".env"
# if os.path.exists("local.env"):
#     dotenv_path = "local.env"

load_dotenv(dotenv_path="dev.env")

r_db = redis.Redis(
    host=os.getenv("REDIS_HOST", "localhost"),
    port=os.getenv("REDIS_PORT", 6379),
    password=os.getenv("REDIS_PASSWORD", None),
    ssl=os.getenv("REDIS_SSL", False),
    socket_connect_timeout=int(os.getenv("REDIS_SOCKET_CONNECT_TIMEOUT", 10)),
)

model_name = os.getenv("LLAMA_MODEL_NAME", "mistral-7b-instruct-v0.1.Q4_K_M")
request_stack_key = f"models:{model_name}:requests"


def get_prompt_key(request_id: str):
    return f"models:{model_name}:prompts:{request_id}"


def get_stream_key(request_id: str):
    return f"streams:{request_id}"
